<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="CREATE" id="0">
  <actions>
    <action id="604" library="1">
      <!--action name: Inherited-->
      <kind>NORMAL</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>false</canApplyTo>
      <actionType>FUNCTION</actionType>
      <functionName>action_inherited</functionName>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments/>
    </action>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
makeActive();
//setCollisionBounds(4, 4, 12, 16);
setCollisionBounds(0, 2, 16, 16);
xVel = 0;
yVel = 0;
yDelta = -0.4;
myGrav = 0.2;
myGravNorm = 0.2;
image_speed = 0.4;

// stats
type = "Zombie";
hp = 1;
desc = "Jiang Shi";
desc2 = "A well-dressed, territorial corpse, inhabited by a restless spirit.";
invincible = 0;

LEFT = 0;
RIGHT = 1;
facing = rand(0, 1);

// status
IDLE = 0;
BOUNCE = 1;
RECOVER = 2;
WALK = 3;
DROWNED = 4;
status = 0;

counter = 0;
bounceCounter = 0;

shakeCounter = 0;
shakeToggle = 1;

if (collision_point(x, y, oWater, 0, 0)) swimming = true;
</argument>
      </arguments>
    </action>
  </actions>
</event>
